.TH XDAF 1
.\" $Id: xdaf.man,v 1.3 2002/11/06 23:51:41 ezix Exp $
.\" $Name: A_01_11_01 $
.SH NAME
xdaf \- X11 Disk Activity Feeback
.SH SYNOPSIS
.B xdaf
.I "[-options ...]"
.SH "DESCRIPTION"
.B xdaf
(X11 Disk Activity Feedback) is a small tool to provide a visual feedback of the local disks activity by changing the default X11 mouse pointer to an animated wheel (the wheel is white when the disks are been used for reading and it turns red when writing occurs).
.PP
.B xdaf
registers itself into the current X11 session so that it can be automatically restarted.
.SH OPTIONS
.B xdaf
accepts all of the standard X Toolkit command line options (see X(7x)). The order of the options in unimportant.
.B xdaf
also accepts the following additional options: 
.TP
.B \-readcolor \fIcolor\fP
Changes the color used to represent read activity.
.PP
.TP
.B \-writecolor \fIcolor\fP
Changes the color used to represent write activity.
.PP
.TP
.B \-nowheel
Do not show the animated wheel.
.SH ENVIRONMENT
.TP
.B DISPLAY
to get the default host and display number.
.TP
.B SESSION_MANAGER
to get the current session manager.
.SH BUGS
When used in conjunction with some window managers, XDAF can cause your windows/menus/buttons to flicker when the cursor is animated.
.SH AUTHOR
XDAF was written by Lyonel Vincent <vincentl@ec-lyon.fr>.
.SH "SEE ALSO"
xhost(1), xsm(1), smproxy(1)
.PP
The XDAF web page at http://www.ezix.org/software/xdaf.html
