%define name xdaf
%define version A.01.11.01
%define release 2

Summary: X11 disk activity feedback
Name: %{name}
Version: %{version}
Release: %{release}
Vendor: Lyonel Vincent <vincentl@ec-lyon.fr>
Source: http://www.ezix.org/software/%{name}/%{name}-%{version}.tar.gz
Copyright: GPL
Group: System Environment/Daemons
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
xdaf (X11 Disk Activity Feedback) is a small tool to provide a visual feedback
of the local disks activity by changing the default X11 mouse pointer to
an animated wheel (the wheel is white when the disks are been used for reading
and it turns red when writing occurs).
Currently HP-UX and Linux kernel 2.2 and 2.4 are supported.

Read the file INSTALL for instructions on how to compile and install.
xdaf should be portable across most UNIX-ish platforms and requires a
standard-compliant C compiler such as gcc or HP ANSI-C.

For detailed information on xdaf features and usage, please see the
included documentation or go to the xdaf Web page,
http://www.ezix.org/software/xdaf.html

%prep
%setup
xmkmf

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install install.man

%files
%doc COPYING INSTALL README
%defattr(-,root,root)
%attr(555,bin,bin) /usr/X11R6/bin/xdaf
/usr/X11R6/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT
